const fs = require('fs');
const path = require('path');
const { JSDOM } = require('jsdom');


// Read the HTML file
const html = fs.readFileSync(path.resolve(__dirname, '../index.html'), 'utf8');

// Set up jsdom environment
const dom = new JSDOM(html, { runScripts: 'dangerously' });
global.document = dom.window.document;

// Load the JavaScript file
const {
    handleAddChildDiv,
    handleAppendChildDiv,
    handleClearChildDiv,
    initChildDiv
  } = require('../src/index');

  const index = require('../src/index');



// Test suite for the HTML content
describe('HTML content', () => {
    it('should have text "GAP TASK',()=>{
        const  element = document.querySelector('h3');
        expect(element.textContent).toEqual('GAP TASK')
    })  
    it('to have label "Add Div',()=>{
        const label=document.getElementById( 'add-divs');
        expect(label.innerHTML).toContain('Add Divs');
    })
    it('to have add button',()=>{
        const addBtn=document.getElementById("add");
        expect(addBtn.textContent).toEqual('Add New');
    })
    afterAll(() => {
        document.getElementById('mainDiv').replaceChildren();
      });
    it('should add new divs when "Add New" button is clicked', async () => {
        const input = parseInt(document.getElementById('input').value);
        const mainDiv=document.getElementById('mainDiv');
        await handleAddChildDiv();
        expect(document.getElementById('mainDiv').children.length).toBe(input);
      });
    
    it('should add new divs when "Append" button is clicked', async () => {
        const inputMock = parseInt(document.getElementById('input').value);
        let mainDiv = document.getElementById('mainDiv');
        let childCount=parseInt(mainDiv.children.length);
        await handleAppendChildDiv();
        expect(mainDiv.children.length).toBe(inputMock+childCount); 
    });
    it('should add new divs when "Clear" button is clicked', async () => {
        let mainDiv = document.getElementById('mainDiv');
        await handleClearChildDiv();
        expect(mainDiv.children.length).toBe(0); 
    });
});
