function initChildDiv(values, mainDiv, childCount=0) {
    for (let i = childCount + 1; i <= childCount + parseInt(values); i++) {
        const childDiv = document.createElement('div');
        childDiv.classList.add("box", "off");
        childDiv.innerHTML = "Turned OFF " + i;
        childDiv.setAttribute("id", i);
        childDiv.addEventListener('click', () => {
            if (childDiv.classList.contains("off")) {
                childDiv.innerText = 'Turned ON ' + i;
                childDiv.classList.replace("off", "on");
            } else {
                childDiv.innerText = 'Turned OFF ' + i;
                childDiv.classList.replace("on", "off");
            }
        });
        mainDiv.appendChild(childDiv);
    }
}

function handleAddChildDiv() {
    const mainDiv = document.getElementById("mainDiv");
    const values = document.getElementById("input").value;
    mainDiv.replaceChildren();
    initChildDiv(values, mainDiv)
    if(values>0){
        document.getElementById("append").disabled = false;
    }
}
function handleAppendChildDiv() {
    const mainDiv = document.getElementById("mainDiv");
    const values = document.getElementById("input").value;
    if (mainDiv.children.length > 0) {
        let childDivs = mainDiv.lastChild.getAttribute('id');
        initChildDiv(values, mainDiv, parseInt(childDivs));
    }
}
function handleClearChildDiv() {
    document.getElementById("mainDiv").replaceChildren()
}

module.exports = {
    initChildDiv,
    handleAddChildDiv,
    handleAppendChildDiv,
    handleClearChildDiv,
};
